Package dev.plex.command.annotation

# Annotation Interface CommandParameters

@Retention(RUNTIME) public @interface CommandParameters
Storage for a command's parameters

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`name`
The name

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`aliases`
The aliases (optional)
`String`
`description`
The description
`String`
`usage`
The usage (optional)

## Element Details

### name

String name
The name

Returns:
  Name of the command

### description

String description
The description

Returns:
  Description of the command

Default:
  ""

### usage

String usage
The usage (optional)

Returns:
  The usage of the command

Default:
  "/<command>"

### aliases

String aliases
The aliases (optional)

Returns:
  The aliases of the command

Default:
  ""